#ifndef DHCP_ARP_H
#define DHCP_ARP_H


#include <arpa/inet.h>

/* Send ARP query for IP address, setting own IP to 0 */

void ar_send_query_ip(int sock, int from_if, const unsigned char *mymac,
		      struct in_addr ip);

/* Parse reply */

int ar_parse_reply(const char *dframe, unsigned int plen,
		   unsigned char *smac, struct in_addr *sip,
		   unsigned char *dmac, struct in_addr *dip);

#endif
